<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('completion_templates', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->string('greeting');
            $table->text('content');
            $table->string('closing');
            $table->string('sign_person');
            $table->string('position_name');
            $table->string('signature')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('completion_templates');
    }
};
